Rapid7 Vulnerability & Exploit Database

Ubuntu: (Multiple Advisories) (CVE-2022-30632): Go vulnerabilities

Free InsightVM Trial No Credit Card Necessary
Watch Demo See how it all works
Back to Search

Ubuntu: (Multiple Advisories) (CVE-2022-30632): Go vulnerabilities

Severity
4
CVSS
(AV:L/AC:M/Au:N/C:P/I:P/A:P)
Published
08/10/2022
Created
05/05/2023
Added
05/01/2023
Modified
01/10/2024

Description

Uncontrolled recursion in Glob in path/filepath before Go 1.17.12 and Go 1.18.4 allows an attacker to cause a panic due to stack exhaustion via a path containing a large number of path separators.

Solution(s)

  • ubuntu-upgrade-golang-1-13
  • ubuntu-upgrade-golang-1-13-go
  • ubuntu-upgrade-golang-1-13-src
  • ubuntu-upgrade-golang-1-16
  • ubuntu-upgrade-golang-1-16-go
  • ubuntu-upgrade-golang-1-16-src
  • ubuntu-upgrade-golang-1-18
  • ubuntu-upgrade-golang-1-18-go
  • ubuntu-upgrade-golang-1-18-src

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;